## casper 1.248

=== debian/changelog ===
casper (1.248) maverick; urgency=low

  * ubiquity-hooks/30accessibility: Create .local/share subdirectory structure
    before copying files. Also copy orca files to ~/.local/share, instead
    ~/. Thanks to Attila Hammer for the patch. (LP: #650846)

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 05 Oct 2010 15:35:35 +1100

casper (1.247) maverick; urgency=low

  * Check for the existance of a kubuntu-default-settings directory before
    running scripts/casper-bottom/48kubuntu_disable_restart_notifications

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 04 Oct 2010 17:43:21 -0400

casper (1.246) maverick; urgency=low

    * Added scripts/casper-bottom/07remove_oem_config
    - Added new script to remove oem-config if installed on the image on ARM,
      as it should never be installed on a non-preinstalled image. This is 
      necessary because we can't exclude oem-config on the seed on a 
      per-subarchitecture basis
  * scripts/casper/47une_ubiquity
    - Cause gconf changes to be made to both the 2D & 3D UNE launchers so 
      ubiquity properly shows up in favorites regardless of which launcher is
      used (LP: #643791)

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Mon, 27 Sep 2010 17:52:50 -0400

casper (1.245) maverick; urgency=low

  * Add scripts/casper-bottom/49disable_kubuntu_restart_notify for a more
    surgical solution at disabling restart notifications on the Live CD
  * Don't remove the notificationhelper.desktop file in 34disable_kde_services

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 28 Sep 2010 19:20:26 -0400

casper (1.244) maverick; urgency=low

  * scripts/casper-bottom/30accessibility && ubiquity-hooks/30accessibility:
    - Use orca's new settings location in ~/.local/share, as orca is now
      more XDG compliant

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 16 Sep 2010 09:38:21 +1000

casper (1.243) maverick; urgency=low

  * Backport from live-initramfs 1.154.6-1:
    - Adding patch from Thierry Walrant <debian.tgc@walrant.net> to allow
      setting a path for the persistence files through persistent-path boot
      parameter (Closes: #512661).
  * Follow symlinks when checking for dynamically linked files at reboot.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 07 Sep 2010 10:53:32 +0100

casper (1.242) maverick; urgency=low

  * Update scripts/casper-bottom/34disable_kde_services to stop some new
    akonadi services

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 06 Sep 2010 14:20:54 +0100

casper (1.241) maverick; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * Use configure_networking at do_netmount; it's at least more resilient
    than a simple ipconfig call since it retries, and it properly parses
    BOOTIF to know which devices to configure. (LP: #602273)

  [ Colin Watson ]
  * Parse the machine-readable file written out by ipconfig rather than
    trying to parse its human-readable output.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Aug 2010 13:37:56 +0100

casper (1.240) maverick; urgency=high

  * scripts/casper
    - Added platform-sata_mv to is_nice_device() to allow Marvell
      Dove A0 and AVD1 to properly boot live media (LP: #618489)

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Mon, 16 Aug 2010 19:36:56 +0800

casper (1.239) maverick; urgency=low

  * scripts/casper-bottom/30accessibility && ubiquity-hooks/30accessibility:
    - Instead of mangling the main sudoers file, create a new file in
      /etc/sudoers.d and set permissions appropriately

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 11 Aug 2010 13:46:03 +1000

casper (1.238) maverick; urgency=low

  [ Alex Chiang ]
  * Disable ureadahead-other job as well as ureadahead (LP: #605695).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 15 Jul 2010 11:49:36 +0100

casper (1.237) maverick; urgency=low

  [ Colin Watson ]
  * Add btrfs support.
  * Make ip=* command-line parsing more precise (thanks, Bill Nickless;
    LP: #586553).
  * Make the USB update-initramfs shim cope with vmlinuz and initrd.img
    being in /boot rather than / (LP: #591207).
  * Depend on file for /etc/init.d/casper (thanks, Alon Swartz;
    LP: #591213).
  * Conflict with live-initramfs, as they overlap and people can pick one or
    the other (LP: #453476).

  [ Martin Pitt ]
  * debian/casper.init: Change shutdown splash message to refer to
    "installation media" instead of "disc"; a lot of installs happen
    from USB sticks these days. Thanks to Debbie Beliveau for the idea.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Jun 2010 16:53:17 +0100

## casper 1.248.1

=== debian/changelog ===
casper (1.248.1) maverick-proposed; urgency=low

  * More fixes to the USB update-initramfs shim (thanks, Evan Dandrea;
    LP: #557023, #591207):
    - Make the shim a proper executable in
      /usr/share/casper/casper-update-initramfs and symlink to it if
      necessary at boot time, so that new versions of this shim are
      automatically installed when casper is upgraded.
    - Only copy each of $bootdir/initrd.img and $bootdir/vmlinuz if they
      exist (for example, initrd.img may exist without vmlinuz if we're
      running off a fresh live USB stick and the kernel hasn't yet been
      upgraded).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 20 Jan 2011 14:34:15 +0000

## casper 1.248.2

=== debian/changelog ===
casper (1.248.2) maverick-proposed; urgency=low

  * Disable release-upgrade prompts in the live session (LP: #777759).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 05 May 2011 12:34:38 +0100

## casper 1.265

=== debian/changelog ===
casper (1.265) natty; urgency=low

  * scripts/casper-bottom/30accessibility && ubiquity-hooks/30accessibility:
    - Use gsettings to adjust yelp caret navigation, as properly fixed in
      yelp 3.0.1
  * ubiquity-hooks/30accessibility: Fix the gset function to set settings for
    the target username, and not the username of the live user

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 11 Apr 2011 16:47:46 +1000

casper (1.264) natty; urgency=low

  * scripts/casper-bottom/30accessibility && ubiquity-hooks/30accessibility:
    - Enable yelp carrot navigation by default in the moderate visual
      impairment, blindness, and Braille profiles, thanks to Attila Hammer
      for the patch (LP: #752503)

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 07 Apr 2011 10:17:52 +1000

casper (1.263) natty; urgency=low

  [ Evan Dandrea ]
  * Suppress Log Out item in the live session (LP: #750140).

  [ Martin Pitt ]
  * scripts/casper-helpers, find_cow_device(): Do not ever probe floppy
    devices. There are lots of computers which still have a floppy controller
    (and thus a /dev/fd0), but no actual floppy. Trying to send anything to
    /dev/fd0 will result in very long timeouts. Here this causes booting the
    live CD to take more than 30 minutes. (See also LP #539515 for the
    corresponding bug in udev/udisks). (LP: #739774)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 04 Apr 2011 16:12:34 +0200

casper (1.262) natty; urgency=low

  * scripts/casper-bottom/30accessibility:
    - Don't blindly assume that there are no orca config files/directories in
      the created user's home directory. A derivative may have placed something
      in /etc/skel as part of the live filesystem, and we shouldn't be
      clobbering it, thanks to Attila Hammer for the pointer (LP: #744227)

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 04 Apr 2011 17:32:40 +1000

casper (1.261) natty; urgency=low

  * scripts/casper-bottom/30accessibility && ubiquity-hooks/30accessibility:
    - Also use classic GNOME for the "motor difficulties, pointing devices"
      profile, due to issues with on-screen keyboards and unity search

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 04 Apr 2011 16:15:59 +1000

casper (1.260) natty; urgency=low

  [ Colin Watson ]
  * Force apt-cdrom's mount point to /cdrom (LP: #723357).  I've left the
    /media/cdrom symlink introduced in 1.259 in place anyway, as it's
    harmless on the live CD and may save some effort elsewhere.

  [ Luke Yelavich ]
  * scripts/casper-bottom/30accessibility && ubiquity-hooks/30accessibility:
    - Set the default session to classic GNOME for moderate visual
      impairement, blindness, and braille accessibility profiles (LP: #734659)
    - Fix a few dangling references to user-settings.py (LP: #744214)
    - Don't set /desktop/gnome/accessibility/keyboard/enable for vision
      related profiles (LP: #711131)

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 01 Apr 2011 16:13:07 +1100

casper (1.259) natty; urgency=low

  * scripts/casper-bottom/05mountpoints: Create a /media/cdrom -> /cdrom
    symlink, to work around apt's changed default mount point for Alpha-3.
    (LP: #727783)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 03 Mar 2011 11:52:38 +0100

casper (1.258) natty; urgency=low

  * scripts/casper-bottom/30accessibility && ubiquity-hooks/30accessibility:
    - Remove code that removes applets from the panel. Indicators are the
      way forward, and we have unity, which works differently.
    - Write orca configuration in json format
    - Set some settings in gsettings parallel to gconf, next cycle there
      will be a full migration to gsettings.
    - Do not change the default window manager setting, this will be done
      according to what is detected with unity/compiz et al.

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 23 Feb 2011 15:18:23 +1100

casper (1.257) natty; urgency=low

  * Handle $cow_backing already being mounted elsewhere (LP: #683260).

 -- Evan Dandrea <ev@ubuntu.com>  Fri, 11 Feb 2011 16:41:11 +0000

casper (1.256) natty; urgency=low

  * Add scripts/casper-bottom/49kubuntu_mobile_session to run Kubuntu
    mobile session

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Feb 2011 17:42:34 +0000

casper (1.255) natty; urgency=low

  [ Evan Dandrea ]
  * Don't disable the free space notifier if using persistent storage.

  [ Daniel Manrique ]
  * scripts/casper-bottom/23networking: Strip quotes from DNSDOMAIN as
    returned by ipconfig, and sanitize the domain entry to ensure the
    generated /etc/resolv.conf is formatted correctly (LP: #709364).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 01 Feb 2011 11:05:13 +0000

casper (1.254) natty; urgency=low

  * More fixes to the USB update-initramfs shim (LP: #591207):
    - Make the shim a proper executable in
      /usr/share/casper/casper-update-initramfs and symlink to it if
      necessary at boot time, so that new versions of this shim are
      automatically installed when casper is upgraded.
    - $bootdir/initrd.img may exist when $bootdir/vmlinuz doesn't; for
      example, if we're running off a fresh live USB stick and the kernel
      hasn't yet been upgraded.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 20 Jan 2011 14:18:59 +0000

casper (1.253) natty; urgency=low

  * Don't try to process the initramfs and kernel if the real update-
    initramfs hasn't generated anything (LP: #557023).

 -- Evan Dandrea <ev@ubuntu.com>  Wed, 05 Jan 2011 12:07:47 +0000

casper (1.252) natty; urgency=low

  * Cope with forthcoming console-setup changes: handle
    /etc/default/keyboard if present, and in that case preseed
    keyboard-configuration/* templates.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 21 Dec 2010 16:44:54 +0000

casper (1.251) natty; urgency=low

  * scripts/casper-bottom/44pk_allow_ubuntu: Tweak the default PolicyKit
    policy to avoid dropping wireless connections when a user switches to
    another VT (LP: #656757)



## casper 1.265.1

=== debian/changelog ===
casper (1.265.1) natty-proposed; urgency=low

  * Disable release-upgrade prompts in the live session (LP: #777759).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 05 May 2011 12:38:06 +0100

=== debian/control ===
Source: casper
Section: misc
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), lsb-release, libplymouth-dev (>= 0.8.0~-13), pkg-config
Standards-Version: 3.8.4
Vcs-Bzr: lp:ubuntu/casper

Package: casper
Architecture: any
Section: misc
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools (>= 0.92bubuntu55), busybox-initramfs (>= 1:1.1.3-4ubuntu3), dmsetup, user-setup, sudo, eject, uuid-runtime, localechooser-data (>= 2.03ubuntu1), util-linux (>= 2.15-1), file
Conflicts: usplash (<< 0.4-43), live-initramfs
Breaks: genext2fs (<< 1.4.1)
Tag: admin::boot, admin::filesystem, implemented-in::shell, protocol::smb, role::plugin, scope::utility, special::completely-tagged, works-with-format::iso9660
Description: Run a "live" preinstalled system from read-only media

Package: ubiquity-casper
Architecture: all
Depends: laptop-detect, sudo, ${misc:Depends}
Conflicts: espresso-casper
Replaces: espresso-casper
Enhances: ubiquity
Tag: admin::boot, admin::filesystem, implemented-in::shell, protocol::smb, role::plugin, scope::utility, special::completely-tagged, works-with-format::iso9660
Description: Configuration hooks for live installer
 This package provides hook scripts for the Ubiquity live installer that
 repeat some pieces of configuration done by the live system boot process in
 the system installed by Ubiquity.

## casper 1.287

=== debian/changelog ===
casper (1.287) oneiric; urgency=low

  * Remove typo from 26disable_user_menu that led the script to
    believe that indicator-session was never actually installed.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 12 Oct 2011 14:00:48 +0100

casper (1.286) oneiric; urgency=low

  * Convert the gsettings calls to using the gsettings override files
    because we don't have DBUS in casper.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 12 Oct 2011 13:38:53 +0100

casper (1.285) oneiric; urgency=low

  * scripts/casper:
    - enable use of virtio devices in is_nice_device()

 -- Ante Karamatic <ivoks@ubuntu.com>  Thu, 06 Oct 2011 17:17:42 +0100

casper (1.284) oneiric; urgency=low

  * bin/casper-a11y-enable:
    - Set the session by calling AccountService via dbus instead of using
      lightdm commands, as we cannot run lightdm-set-defaults as a user
    - Add some extra spaces to make sure the startup scripts used to set a11y
      settings are syntactically correct
    - Add some other needed settings for various profiles for use in the login
      manager
    - Set correct permissions for the orca config directory once the config
      files have been created
    - Make sure the startup script checks take into account the ability to be
      run from the initramfs
  * ubiquity-hooks/30accessibility:
    - Make sure that accessibility profile settings are properly applied at
      install time, even if the user decided to try Ubuntu first, and then
      run the install from the desktop
    - Copy any existing orca configuration to the target system
    - Make sure profile settings are not set up twice

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 14 Sep 2011 16:19:59 +1000

casper (1.283) oneiric; urgency=low

  * scripts/casper-bottom/22screensaver: Set gsettings key instead of gconf.
  * scripts/casper-bottom/44pk_allow_ubuntu: Drop old PolicyKit stuff, it's
    gone for a long time.
  * Drop scripts/casper-bottom/45disable_guest_account: We are not using gdm
    any more, and lightdm implements that differently.
  * Drop scripts/casper-bottom/47une_ubiquity, UNE/netbook-launcher are
    history.
  * Add scripts/casper-bottom/26disable_user_menu: Disable the user indicator
    menu. (LP: #834137)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 07 Sep 2011 12:33:57 +0200

casper (1.282) oneiric; urgency=low

  * bin/casper-a11y-enable: Fix typo/syntax error in the set_session function

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 07 Sep 2011 15:20:05 +1000

casper (1.281) oneiric; urgency=low

  * bin/casper-a11y-enable:
    - Change all remaining references of gdm to lightdm, particularly in the
      usage help text, and the username of the login manager
    - Set the default login session to ubuntu-2d for screen reader and braille
      profiles

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 05 Sep 2011 15:02:31 +1000

casper (1.280) oneiric; urgency=low

  * Don't fail to set up autologin on a commented out autologin-user line
    in lightdm custom conf. (LP: #836727)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 29 Aug 2011 09:16:00 -0500

casper (1.279) oneiric; urgency=low

  * hooks/casper: pull in overlayfs kernel module to allow use of overlayfs
    as the union mount during install.

 -- Andy Whitcroft <apw@canonical.com>  Fri, 19 Aug 2011 13:03:27 +0100

casper (1.278) oneiric; urgency=low

  * scripts/casper-bottom/15autologin:
    - handling lightdm.conf in the case we already have a configuration file (to
      avoid overwriting it on the cd if we don't have the default gtk greeter
      installed if greeter not specified). Flavors should now use
      set-lightdm-defaults to set the default session and greeter, even if
      this still works with current alternatives method.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 11 Aug 2011 09:05:43 +0200

casper (1.277) oneiric; urgency=low

  * Add an extra command-line argument to casper-a11y-helper which will
    create a startup script that will be executed either on first boot after
    install, or once we switch out of the initramfs to boot the live
    session. This is needed to work around gsettings not working when
    chrooting to the target environment with no dbus running.
  * Add extra checks to the ubiquity accessibility target-config hook to
    determine whether accessibility was enabled during the running of
    ubiquity, and act accordingly.
  * Call the casper a11y helper script with the newly added -script argument
    as per above.
  * Determine whether we are root by checking the $HOME variable.
  * Do not call the a11y profile script in debug mode

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 05 Aug 2011 15:22:27 +1000

casper (1.276) oneiric; urgency=low

  * If lightdm.conf exists, remove it first to avoid issues with symlinks.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 04 Aug 2011 12:26:08 -0400

casper (1.275) oneiric; urgency=low

  * Update 15autologin to overwrite any existing lightdm configuration.
    This should fix lightdm autologin for everyone.
    Any custom lightdm configuration won't apply to the live environment.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 03 Aug 2011 10:10:48 -0400

casper (1.274) oneiric; urgency=low

  * Remove log_end_message call (LP: #820284).

 -- Evan Dandrea <ev@ubuntu.com>  Wed, 03 Aug 2011 12:01:57 +0100

casper (1.273) oneiric; urgency=low

  [ Mario Limonciello ]
  * scripts/casper: Add support for SAS controllers now that 575297 is fixed.
    (LP: #819564)

  [ Stéphane Graber ]
  * lightdm no longer ships with /etc/lightdm/lightdm.conf in its package.
    Updating 15autologin casper hook to create one when missing. (LP: #819609)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 02 Aug 2011 17:47:10 -0400

casper (1.272) oneiric; urgency=low

  [ Andy Whitcroft ]
  * scripts/casper: add support for overlayfs for union mounts of the liveCD

  [ Luke Yelavich ]
  * Port the rest of the accessibility profile settings to gsettings, except


=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Architecture: any
 Section: misc
 Priority: extra
-Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools (>= 0.92bubuntu55), busybox-initramfs (>= 1:1.1.3-4ubuntu3), dmsetup, user-setup, sudo, eject, uuid-runtime, localechooser-data (>= 2.03ubuntu1), util-linux (>= 2.15-1), file
+Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools (>= 0.92bubuntu55), busybox-initramfs (>= 1:1.1.3-4ubuntu3), dmsetup, user-setup, sudo, eject, uuid-runtime, localechooser-data (>= 2.03ubuntu1), util-linux (>= 2.15-1), file, lzma
 Conflicts: usplash (<< 0.4-43), live-initramfs
 Breaks: genext2fs (<< 1.4.1)
 Tag: admin::boot, admin::filesystem, implemented-in::shell, protocol::smb, role::plugin, scope::utility, special::completely-tagged, works-with-format::iso9660

## casper 1.287.1

=== debian/changelog ===
casper (1.287.1) oneiric-proposed; urgency=low

  * Ignore lines in md5sum.txt that aren't md5sum output (LP: #873401).
  * Canonicalise debian-installer/locale= / locale= into a UTF-8 locale when
    processing preseeding, in line with how we set up the locale in the live
    environment (LP: #882308).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 08 Nov 2011 15:48:36 +0000

## casper 1.315

=== debian/changelog ===
casper (1.315) precise; urgency=low

  * Fix sed call for rc_domain (LP: #973794)
  * Ensure resulting resolv.conf is always clean and valid.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 18 Apr 2012 11:33:49 +0200

casper (1.314) precise; urgency=low

  * bin/casper-a11y-enable: Call dbus-send with the --print-reply command-line
    argument, and send the output to null, as we don't need it. For some
    reason dbus-send only executes our commands when --print-reply is given.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 03 Apr 2012 11:36:32 +1000

casper (1.313) precise; urgency=low

  * bin/casper-a11y-enable:
    - Remove code to create a sudoers config file that is no longer needed
      in the at-spi dbus world we now live in, thanks to Attila Hammer for
      the patch. (LP: #964985)
    - Disable the calendar in all low vision accessibility profiles as it has
      issues with keyboard navigation, thanks to Attila Hammer for the patch.
      (LP: #965015)
    - Do not hard code the ubuntu-2d session name in the set_session method.
  * ubiquity-hooks/30accessibility:
    - Use the orca settings from the live session for unity-greeter on the
      installed system, thanks to Attila Hammer for the patch. (LP: #968929)

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 02 Apr 2012 16:39:26 +1000

casper (1.312) precise; urgency=low

  * bin/casper-reconfigure: Unset DEBIAN_HAS_FRONTEND, DEBIAN_FRONTEND, and
    DEBCONF_REDIR so that casper-reconfigure properly uses the
    noninteractive frontend when invoked from a ubiquity target-config hook
    (LP: #955617).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 Mar 2012 22:06:38 +0000

casper (1.311) precise; urgency=low

  * LightDM on kubuntu-active wants to start ubuntu.desktop,
    workaround in 15autologin for now

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Mar 2012 11:56:25 +0000

casper (1.310) precise; urgency=low

  * bin/casper-a11y-enable:
    - Use the unity-greeter gsettings keys for accessibility settings.
    - Enable high contrast in unity-greeter when the high contrast profile
      is selected.
    - Remove functionality to set gconf values for the login manager,
      unity-greeter uses gsettings.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 15 Mar 2012 14:41:29 +1100

casper (1.309) precise; urgency=low

  * scripts/casper-bottom/14locales:
    - Stop dealing with /etc/environment
    - Always overwrite /etc/default/locale at boot time
    - Use /root/rofs/etc/default/locale as the base locale (LP: #951397)
  * scripts/casper-bottom/19keyboard
    - Reset /etc/default/keyboard if present in the overlay (LP: #953999)
  * scripts/casper-bottom/50ubiquity-bluetooth-agent
    - Only do the diversion the first time around

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 13 Mar 2012 17:00:58 -0400

casper (1.308) precise; urgency=low

  * Reconfigure jackd2 if jackd/tweak_rt_limits has been preseeded
    (LP: #923810).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 13 Mar 2012 10:33:24 +0000

casper (1.307) precise; urgency=low

  * Add 50ubiquity-bluetooth-agent to detect ubiquity-bluetooth-agent and
    make bluetooth-applet call it instead (using dpkg-divert + ln).
    (LP: #644198)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 09 Mar 2012 11:56:44 -0500

casper (1.306) precise; urgency=low

  [ Sergey "Shnatsel" Davidoff ]
  * Comment on the recently-introduced FLAVOUR variable in casper.conf.

  [ Stéphane Graber ]
  * in 23networking, when writing resolv.conf detect resolvconf and write
    to /run/resolvconf/interfaces/casper instead. (LP: #946215)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 05 Mar 2012 15:38:23 -0500

casper (1.305) precise; urgency=low

  * Wait for debconf-communicate to exit before trying to copy the
    database. (LP: #940908)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 29 Feb 2012 21:48:39 -0500

casper (1.304) precise; urgency=low

  * 25adduser: Back up and restore passwd/{root,user}-password{,-again} as
    well (LP: #924535).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 01 Feb 2012 22:44:38 +0000

casper (1.303) precise; urgency=low

  * 25adduser: Restore previous contents of the debconf questions we set,
    rather than just resetting them (LP: #924535).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 01 Feb 2012 10:16:58 +0000

casper (1.302) precise; urgency=low

  * Move adduser script to run after preseed so that preseeding
    passwd/user-default-groups is useful in the live session (LP: #923810).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 30 Jan 2012 22:13:04 +0000

casper (1.301) precise; urgency=low

  * 41apt_cdrom: use standard logging to facilitate debugging thanks to cleary
    for the patch (LP: #909916)

 -- Brian Murray <brian@ubuntu.com>  Wed, 25 Jan 2012 15:14:09 -0800

casper (1.300) precise; urgency=low

  * 33enable_apport_crashes: If enabling apport (i. e. on a released Ubuntu
    versions), only report crashes for Ubiquity. Do not report general
    desktop-ish crashes, for the same reasons why we disable them for
    Ubuntu releases after installation. (LP: #593606)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 24 Jan 2012 10:12:26 +0100

casper (1.299) precise; urgency=low

  * Fix the variable to be $FLAVOUR.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 17 Jan 2012 16:36:24 -0600

casper (1.298) precise; urgency=low

  * Write out a new casper.conf with derivative values if they've been changed.
    - Fixes applications that parse /etc/casper.conf from breaking.
    - This can be reverted after the livecd-rootfs task from LP: #904482 is
      fixed.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 16 Jan 2012 22:30:47 -0600

casper (1.297) precise; urgency=low

  * scripts/casper:
     look for live image on AC100/Tegra2 specific eMMC block device too.

 -- Jani Monoses <jani@ubuntu.com>  Mon, 09 Jan 2012 18:56:57 +0200

casper (1.296) precise; urgency=low



## casper 1.315.1

=== casper-md5check/Makefile ===

CC=gcc
CFLAGS := $(shell getconf LFS_CFLAGS) -Wall -O2 -g $(shell pkg-config --cflags ply-boot-client)
LDLIBS=$(shell pkg-config --libs ply-boot-client)

casper-md5check: casper-md5check.c md5.c

clean:
	rm -f *.o casper-md5check

=== debian/changelog ===
casper (1.315.1) precise-proposed; urgency=low

  * postinst:
    - Remove code generating symlink for /usr/sbin/update-initramfs to
      /usr/share/casper/casper-update-iniramfs as the diversion and symlinking
      is done in the initramfs and that code was only useful when the shim was
      first introduced. (LP: #984276)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 22 Jan 2013 18:24:17 -0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Architecture: any
 Section: misc
 Priority: extra
-Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools (>= 0.92bubuntu55), busybox-initramfs (>= 1:1.1.3-4ubuntu3), dmsetup, user-setup, sudo, eject, uuid-runtime, localechooser-data (>= 2.03ubuntu1), util-linux (>= 2.15-1), file, lzma
+Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools (>= 0.92bubuntu55), busybox-initramfs (>= 1:1.1.3-4ubuntu3), dmsetup, user-setup, sudo, eject, uuid-runtime, localechooser-data (>= 2.03ubuntu1), util-linux (>= 2.15-1), file, lzma, udev (>= 174)
 Conflicts: usplash (<< 0.4-43), live-initramfs
 Breaks: genext2fs (<< 1.4.1)
 Tag: admin::boot, admin::filesystem, implemented-in::shell, protocol::smb, role::plugin, scope::utility, special::completely-tagged, works-with-format::iso9660

## casper 1.315.1+lliurex37

=== debian/changelog ===
casper (1.315.1+lliurex37) precise; urgency=high

  * Updated casper script to remove sources.list.d

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Wed, 03 Dec 2014 08:34:43 +0100

casper (1.315.1+lliurex36) precise; urgency=high

  * Updated casper again by the same issue 

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Mon, 26 May 2014 09:54:14 +0200

casper (1.315.1+lliurex35) precise; urgency=high

  * Updated casper to add the default sources.list at live system 

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Tue, 25 Mar 2014 12:05:55 +0100

casper (1.315.1+lliurex34) precise; urgency=high

  * Changed to PLATINUM

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Mon, 24 Mar 2014 14:44:56 +0100

casper (1.315.1+lliurex33) precise; urgency=high

  * Added nbd installation support from ISO
  * Thanks to:
  * http://www.globallinuxsecurity.pro/src/ubuntu-live-nbdboot/ 

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Tue, 15 Oct 2013 11:41:16 +0200

casper (1.315.1+lliurex32) precise; urgency=low

  * Updated sed 

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Thu, 18 Jul 2013 13:30:43 +0200

casper (1.315.1+lliurex31) precise; urgency=high

  * Updated sed 

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Thu, 18 Jul 2013 12:13:49 +0200

casper (1.315.1+lliurex30) precise; urgency=low

  * Updated dnsmasq hook

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Thu, 18 Jul 2013 12:09:14 +0200

casper (1.315.1+lliurex29) precise; urgency=high

  * Lite Hook

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Thu, 18 Jul 2013 10:55:08 +0200

casper (1.315.1+lliurex28) precise; urgency=high

  * Updated path to n4d

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Fri, 05 Jul 2013 12:22:47 +0200

casper (1.315.1+lliurex27) precise; urgency=low

  * Added ldap files

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Fri, 05 Jul 2013 10:11:36 +0200

casper (1.315.1+lliurex26) precise; urgency=high

  * Updated the sources.list on servers

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Wed, 03 Jul 2013 09:32:12 +0200

casper (1.315.1+lliurex25) precise; urgency=low

  * How many? 2 

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Fri, 21 Jun 2013 14:14:21 +0200

casper (1.315.1+lliurex24) precise; urgency=low

  * How many developers ?
  * 1 -> Cuenca/rules

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Thu, 20 Jun 2013 13:53:48 +0200

casper (1.315.1+lliurex23) precise; urgency=low

  * In FSM we truth

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Wed, 19 Jun 2013 14:11:46 +0200

casper (1.315.1+lliurex22) precise; urgency=low

  * Fixed bash script to solve the Ubiquity desktop problem 

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Fri, 14 Jun 2013 19:09:23 +0200

casper (1.315.1+lliurex21) precise; urgency=low

  * Updated version

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Wed, 12 Jun 2013 10:28:43 +0200

casper (1.315.1+lliurex20) precise; urgency=low

  * Okis, okis...now Ubiquity is better than before, and some hooks
    are traveling to his magic. 

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Tue, 11 Jun 2013 14:10:50 +0200

casper (1.315.1+lliurex19) precise; urgency=low

  * In the road of LliureX Developer, are always difficult choices, 
    like make the technologies open, standard, and elegant...but are 
    moments at the developers live (like now), that your are "so tired" 
    by the Python way (localechooser and other things).
  * In the next revision, some of logic can be travel to other packages
    and technologies, but i am so tired to battle again now with python 
    and his locale generation of hell. 

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Mon, 10 Jun 2013 21:00:50 +0200

casper (1.315.1+lliurex15) precise; urgency=low

  * Trying to solve the casper braindamage 

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Sat, 08 Jun 2013 11:13:44 +0200

casper (1.315.1+lliurex14) precise; urgency=low

  * Added root

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Tue, 04 Jun 2013 11:27:10 +0200

casper (1.315.1+lliurex13) precise; urgency=low

  * Added a script that gens a script and fix the ubiquity

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Mon, 03 Jun 2013 12:25:20 +0200

casper (1.315.1+lliurex12) precise; urgency=high

  * Added /root/+ directory  to the paths...a common miscalculation

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Wed, 29 May 2013 08:41:55 +0200

casper (1.315.1+lliurex10) precise; urgency=low

  * Changed calculation of locale to install desktop

 -- Raul Rodrigo Segura <raurodse@gmail.com>  Tue, 28 May 2013 09:57:10 +0200

casper (1.315.1+lliurex9) precise; urgency=low

  * For the goods or for the bads

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Mon, 27 May 2013 18:28:30 +0200

casper (1.315.1+lliurex8) precise; urgency=low

  * Added more commillas 

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Thu, 23 May 2013 12:53:41 +0200

casper (1.315.1+lliurex7) precise; urgency=low

  * Updated again
  * Added LOCALELA via /proc/cmdline technology

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Thu, 23 May 2013 09:45:16 +0200

casper (1.315.1+lliurex6) precise; urgency=low

  * Updated ubiquity casper hooks 

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Thu, 23 May 2013 09:35:29 +0200

casper (1.315.1+lliurex5) precise; urgency=low

  * 25Adduser added

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Wed, 22 May 2013 14:23:39 +0200

casper (1.315.1+lliurex4) precise; urgency=low

  * Updated autologin script, now /usr/share/gnome-session/sessions/ 
    is more clean.

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Wed, 22 May 2013 13:00:17 +0200

casper (1.315.1+lliurex3) precise; urgency=low

  * Updated autologin script

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Mon, 28 Jan 2013 08:44:07 +0100



## casper 1.328

=== debian/changelog ===
casper (1.328) quantal; urgency=low

  * Fix path to .disk/info in 41apt_cdrom (LP: #1065827).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 Oct 2012 12:05:15 +0100

casper (1.327) quantal; urgency=low

  [ Tim Lunn ]
  * add gnome-shell favorites tweak to 25adduser
  * Add 16gdmnopasswd script, removes gdm password dialog for live user.

  [ Stéphane Graber ]
  * Fix casper when running on some RAID systems. (LP: #1047316, LP: #965735)
  * Apply patch by Tyler Gates to try and better handle dm devices, should help
    with the above change too. (LP: #865529)
  * Use /sys/class/net/ instead of hardcoded eth* devices.
    (LP: #905828, LP: #962546)
  * Allow overriding username/userfullname/hostname on the boot command line
    as is mentioned in the manpage but was never implemented.
    Note that when using persistence, those used for the first boot will be
    remembered through /etc/casper.conf (LP: #907482)
  * Reset oem-config/enable to false every boot. (LP: #838680)
  * Add Breaks/Replaces to ubiquity-casper to properly upgrade when both
    casper and ubiquity-casper are installed. (LP: #1046300)
  * Apply patch by cleary to avoid hang in 41apt_cdrom when .disk/info doesn't
    exist. (LP: #909919)
  * Eject by block device instead of mountpoint, this should avoid ejecting
    the cdrom on USB installations. (LP: #869238)
  * Add 'check' target to debian/rules based on ubiquity's (LP: #570243)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 03 Oct 2012 17:46:39 -0400

casper (1.326) quantal; urgency=low

  * 22desktop_settings:
    - Rename 22screensaver to 22desktop_settings
    - Move 22gnome_panel_data's content to 22desktop_settings
    - Flush overrides in 22desktop_settings to avoid getting duplicate keys
      when using persistence.
    - Check for gsettings-desktop-schemas instead of gnome-panel-data
  * 35fix_language_selector:
    - Use sed against the original file (from rofs) instead of the target file.
      This avoids another case where the change is re-applied at every boot
      when using persistence.
  * 25adduser:
    - Remove RUNNING_UNDER_GDM from /etc/environment which was a big hack
      for back when we still used xscreensaver and was getting appended with
      every single boot.
    - Use /etc/sudoers.d instead of appending to /etc/sudoers, avoid getting
      duplicate lines with every reboot.
  * 23networking:
    - Change default /etc/network/interfaces to match that in /rofs, makes it
      easier to diff /etc when debugging casper.
  * casper-init, casper, 19-keyboard, casper-functions:
    - Remove any remaining reference to usplash as it's been deprecated for a
      long long time and just makes things harder to read.
  * casper-update-initramfs:
    - Exit when called from a non-writable media (cdrom) or when called from
      ubiquity. This fixes a > 1 minute wait when clicking "Try Ubuntu".
  * 19keyboard:
    - Add code to detect that the keyboard layout changed from the previous
      value and flush the gsettings key so that the indicator is properly
      reset. (LP: #946406)
  * 43disable_updateinitramfs:
    - Don't try to chmod a dangling symlink.
    - Only write /usr/sbin/update-initramfs if it doesn't already exist.
  * postinst:
    - Remove code generating symlink for /usr/sbin/update-initramfs to
      /usr/share/casper/casper-update-iniramfs as the diversion and symlinking
      is done in the initramfs and that code was only useful when the shim was
      first introduced. (LP: #984276)
  * scripts/casper:
    - Allow specifying live-media on the command line, helps when booting
      computers that are unable to boot a CD/USB disk. (LP: #423616)
    - Fix NFSOPTS handling by adding the needed comma and sticking it to the
      existing "ro" option of nfsmount (LP: #476208)
  * 22serialtty:
    - Move 22serialtty to 26serialtty to avoid overriding the newly generated
      upstart jobs. Note that this will spawn getty instead of login, but
      it's probably for the best as we need a specific baudrate. (LP: #747888)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 02 Oct 2012 18:11:44 -0400

casper (1.325) quantal; urgency=low

  [ Logan Rosen ]
  * Remove 26disable_user_menu script, as it is obsolete (LP: #1057234)

  [ Tim Lunn ]
  * Patch [UG]ID_MIN in login.defs so that live user shows
    up in GDM.

  [ Didier Roche ]
  * Remove more obsolete gsettings indicator value set

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 28 Sep 2012 09:37:34 +0200

casper (1.324) quantal; urgency=low

  [ Tim L ]
  * Remove logout menu item without affecting 'power off' item 

 -- Tim Lunn <tim@feathertop.org>  Mon, 17 Sep 2012 13:35:41 +0100

casper (1.323) quantal; urgency=low

  [ Tim L ]
  * Fix auto login script for GDM 3.5 (LP: #1046630)
  * reenable suppress logout for GNOME Classic

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 12 Sep 2012 12:59:03 +1000

casper (1.322) quantal; urgency=low

  * Fix typo in a11y-profile-settings job description.
  * Update paths used to divert away check-new-release and
    check-new-release-gtk.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 05 Sep 2012 17:47:07 +0100

casper (1.321) quantal; urgency=low

  * bin/casper-a11y-enable: Remove session setting code. Now that Unity 2D
    is no longer available, setting the session to Ubuntu 2D causes a login
    loop until the session is changed.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 16 Aug 2012 13:35:29 +1000

casper (1.320) quantal; urgency=low

  * scripts/casper: Add match for platform-tegra-ehci USB controllers to
    allow for finding live filesystems on external USB media on tegra
    platforms.

 -- Luke Yelavich <themuso@ubuntu.com>  Sat, 21 Jul 2012 17:41:31 +1000

casper (1.319) quantal; urgency=low

  * Remove conf.d/compcache as compcache doesn't exist anymore.
    A possible replacement would be zram.
  * Add md4 and des_generic to the initramfs, required by cifs.


=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Architecture: any
 Section: misc
 Priority: extra
-Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools (>= 0.92bubuntu55), busybox-initramfs (>= 1:1.1.3-4ubuntu3), dmsetup, user-setup, sudo, eject, uuid-runtime, localechooser-data (>= 2.03ubuntu1), util-linux (>= 2.15-1), file, lzma, udev (>= 174)
+Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools (>= 0.92bubuntu55), busybox-initramfs (>= 1:1.1.3-4ubuntu3), dmsetup, user-setup, sudo, eject, uuid-runtime, localechooser-data (>= 2.03ubuntu1), util-linux (>= 2.15-1), file, lzma, udev (>= 174), cifs-utils
 Conflicts: usplash (<< 0.4-43), live-initramfs
 Breaks: genext2fs (<< 1.4.1)
 Tag: admin::boot, admin::filesystem, implemented-in::shell, protocol::smb, role::plugin, scope::utility, special::completely-tagged, works-with-format::iso9660
@@ -19,9 +19,9 @@
 Package: ubiquity-casper
 Architecture: all
 Depends: laptop-detect, sudo, ${misc:Depends}
-Conflicts: espresso-casper
-Replaces: espresso-casper
 Enhances: ubiquity
+Replaces: casper (<< 1.318)
+Breaks: casper (<< 1.318)
 Tag: admin::boot, admin::filesystem, implemented-in::shell, protocol::smb, role::plugin, scope::utility, special::completely-tagged, works-with-format::iso9660
 Description: Configuration hooks for live installer
  This package provides hook scripts for the Ubiquity live installer that

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@

override_dh_installinit:
	dh_installinit -r --no-start -- start 89 0 6 .

check:
	# Check the syntax of any shell scripts.
	set -e; for x in $$(find -type f \! -name \*.po \! -name \*.pot -print0 | xargs -0 file -i | grep "text/x-shellscript" | cut -d':' -f1); do \
		sh -n $$x; \
	done

## casper 1.330

=== debian/changelog ===
casper (1.330) raring; urgency=low

  [ Stéphane Graber ]
  * Move cifs related modules to the right place.

  [ Colin Watson ]
  * Use correct compiler and pkg-config when cross-building.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Dec 2012 15:56:49 +0000

casper (1.329) raring; urgency=low

  * Skip images called ltsp.squashfs or server.squashfs as those are shipped
    on the Edubuntu images but aren't intended to be used for the live
    environment.
  * Cleanup mixed tabs/spaces in the main casper script.
  * Bump standards, no change required.
  * Set a valid Vcs-Bzr URL.

 -- Stéphane Graber <stgraber@ubuntu.com>  Sun, 18 Nov 2012 18:18:22 -0500

## casper 1.332

=== debian/changelog ===
casper (1.332) raring; urgency=low

  * Don't wait for keystroke when prompt != 1 (preseeded reboots).
    (LP: #1172653)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 25 Apr 2013 12:05:02 +0200

casper (1.331) raring; urgency=low

  * Re-order the eject code so that the message is rendered before the eject
    which should fix the case where fonts or other bits are missing and the
    message can't be rendered. (LP: #966480)
  * Also detect swap space on virtio.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 23 Apr 2013 19:46:18 +0200

## casper 1.336ubuntu1

=== debian/changelog ===
casper (1.336ubuntu1) saucy; urgency=low

  * Update link to Kubuntu docs in scripts/casper-bottom/25adduser

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Sep 2013 16:16:38 +0100

casper (1.336) saucy; urgency=low

  * 25adduser: Adjust to rename of ubiquity-gtkui.desktop to ubiquity.desktop

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 02 Aug 2013 10:04:11 +0100

casper (1.335) saucy; urgency=low

  * 22desktop_settings:
    - Don't require gnome-screensaver to disable the lock screen since
      Ubuntu GNOME no longer includes gnome-screensaver
    - Don't override the gnome-shell favorites since that's already
      handled in ubuntu-gnome-default-settings

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 24 Jun 2013 21:57:59 -0400

casper (1.334) saucy; urgency=low

  * Use spaces instead of hyphens for the Name field of ubiquity's .desktop
    (LP: #651098)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 24 Jun 2013 12:08:44 +0200

casper (1.333) saucy; urgency=low

  * Remove hardcoded paths to udevadm (LP: #1184066).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 May 2013 11:19:12 +0100

## casper 1.340

=== debian/changelog ===
casper (1.340) trusty; urgency=medium

  * Remove 23etc_modules which does more harm than good (LP: #1296386)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 09 Apr 2014 12:45:13 -0600

casper (1.339) trusty; urgency=medium

  * scripts/casper: Fix for new udev that doesn't have by-path.
    Original patch from http://goo.gl/R76aKl (LP: #1293811)

 -- Mario Limonciello <superm1@ubuntu.com>  Wed, 19 Mar 2014 09:22:38 -0500

casper (1.338) trusty; urgency=medium

  * scripts/casper-bottom/30accessibility: If the user boots to the desktop,
    write a desktop file to /etc/xdg/autostart to set up the screen reader
    profile if the user launches Orca with a shortcut key. Gnome/Unity
    settings daemon takes priority over ubiquity with keygrabs, such
    that the profile setting code in ubiquity does not get executed when
    the shortcut is entered. Temporarily disabling the shortcut key also
    doesn't work, as Gnome/Unity settings daemon doesn't appear to notice
    the change when the gsettings key is changed on the command-line. As
    such, this is a cludge, until a better mechanism for handling
    accessibility profiles is implemented.

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 10 Mar 2014 14:59:02 +1100

casper (1.337) trusty; urgency=low

  * 25adduser: add ubiquity-kdeui.desktop to plasma-netbook init template

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 04 Feb 2014 11:23:26 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,15 @@
 #! /usr/bin/make -f
+
+DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+
 %:
 	dh $@
+
+ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+override_dh_auto_build:
+	dh_auto_build -- CC=$(DEB_HOST_GNU_TYPE)-gcc PKG_CONFIG=$(DEB_HOST_GNU_TYPE)-pkg-config
+endif
 
 override_dh_installinit:
 	dh_installinit -r --no-start -- start 89 0 6 .

## casper 1.340.2

=== debian/changelog ===
casper (1.340.2) trusty; urgency=low

  * scripts/casper: migrate existing persistent disk images to the
    updated upper/work form.  Record the actual format used and
    ensure we use the existing format and abort if not possible.
    (LP: #1481117)

 -- Andy Whitcroft <apw@ubuntu.com>  Tue, 04 Aug 2015 21:31:29 +0100

casper (1.340.1) trusty; urgency=low

  * scripts/casper: move union content into a subdirectory of the /cow
    device, to allow us to create a workdir where that is needed for
    overlayfs.  Also attempt to mount overlayfs with and without the
    workdir= to cope with the semantic change in newer kernels.
    (LP: #1401620)
  * scripts/casper: switch up to overlayfs V2 format (overlay filesystem
    type) when available.  (LP: #1412411)

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 08 Jul 2015 14:57:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: casper
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~), lsb-release, libplymouth-dev (>= 0.8.0~-13), pkg-config
-Standards-Version: 3.8.4
-Vcs-Bzr: lp:ubuntu/casper
+Standards-Version: 3.9.3
+Vcs-Bzr: https://code.launchpad.net/+branch/ubuntu/casper
 
 Package: casper
 Architecture: any
